Last Comment Bug 776253 - java.lang.NullPointerException: at org.mozilla.gecko.AboutHomeContent.onInterceptTouchEvent(AboutHomeContent.java)
: java.lang.NullPointerException: at org.mozilla.gecko.AboutHomeContent.onInter...
Status: RESOLVED FIXED
[native-crash]
: crash, regression, topcrash
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: 17 Branch
: ARM Android
: -- critical (vote)
: Firefox 17
Assigned To: Matt Brubeck (:mbrubeck)
:
Mentors:
Depends on:
Blocks: 766858
  Show dependency treegraph
 
Reported: 2012-07-21 09:46 PDT by Scoobidiver (away)
Modified: 2013-12-10 10:01 PST (History)
3 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
patch (1.29 KB, patch)
2012-07-23 11:06 PDT, Matt Brubeck (:mbrubeck)
bugmail.mozilla: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
lukasblakk+bugs: approval‑mozilla‑beta+
mbrubeck: checkin+
Details | Diff | Review

Description Scoobidiver (away) 2012-07-21 09:46:41 PDT
There are two crashes from the same user in 17.0a1/20120721, including bp-7e617e15-6274-457c-8aaa-6d22e2120721.

java.lang.NullPointerException
	at org.mozilla.gecko.AboutHomeContent.onInterceptTouchEvent(AboutHomeContent.java:360)
	at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:940)
	at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:961)
	at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:961)
	at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:961)
	at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:961)
	at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:961)
	at com.android.internal.policy.impl.PhoneWindow$DecorView.superDispatchTouchEvent(PhoneWindow.java:1691)
	at com.android.internal.policy.impl.PhoneWindow.superDispatchTouchEvent(PhoneWindow.java:1125)
	at android.app.Activity.dispatchTouchEvent(Activity.java:2096)
	at com.android.internal.policy.impl.PhoneWindow$DecorView.dispatchTouchEvent(PhoneWindow.java:1675)
	at android.view.ViewRoot.deliverPointerEvent(ViewRoot.java:2219)
	at android.view.ViewRoot.handleMessage(ViewRoot.java:1903)
	at android.os.Handler.dispatchMessage(Handler.java:99)
	at android.os.Looper.loop(Looper.java:138)
	at android.app.ActivityThread.main(ActivityThread.java:3701)
	at java.lang.reflect.Method.invokeNative(Native Method)
	at java.lang.reflect.Method.invoke(Method.java:507)
	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:878)
	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:636)
	at dalvik.system.NativeStart.main(Native Method)

More reports at:
https://crash-stats.mozilla.com/report/list?signature=java.lang.NullPointerException%3A+at+org.mozilla.gecko.AboutHomeContent.onInterceptTouchEvent%28AboutHomeContent.java%29
Comment 1 Scoobidiver (away) 2012-07-21 14:06:55 PDT
It has been hit by 3 users in the same build. The regression range is:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=3a05d298599e&tochange=446b788ab99d
It's likely a regression from bug 766858.
Comment 2 Matt Brubeck (:mbrubeck) 2012-07-23 11:06:00 PDT
Created attachment 644985 [details] [diff] [review]
patch

I'm not sure exactly how this crash can be reproduced, but this null check should fix it and is a good idea for safety anyway.
Comment 3 Matt Brubeck (:mbrubeck) 2012-07-23 12:21:03 PDT
Comment on attachment 644985 [details] [diff] [review]
patch

https://hg.mozilla.org/integration/mozilla-inbound/rev/8ebc191e23eb

[Approval Request Comment]
Bug caused by (feature/regressing bug #): bug 766858

User impact if declined: crashes

Testing completed (on m-c, etc.): Landed on inbound 7/23.

Risk to taking this patch (and alternatives if risky): No-risk Android-only fix (just adds two null checks).

String or UUID changes made by this patch: None.
Comment 4 Lukas Blakk [:lsblakk] use ?needinfo 2012-07-23 13:02:41 PDT
Comment on attachment 644985 [details] [diff] [review]
patch

no risk, android-only, and needed for bug 766858 - approving.
Comment 6 Ed Morley [:emorley] 2012-07-24 03:01:05 PDT
https://hg.mozilla.org/mozilla-central/rev/8ebc191e23eb

Note You need to log in before you can comment on or make changes to this bug.